Package org.apache.sysds.runtime.ooc.cache.eviction

# Record Class IndexedObjectPair<T>

java.lang.Object
java.lang.Record
org.apache.sysds.runtime.ooc.cache.eviction.IndexedObjectPair<T>

All Implemented Interfaces:
  `Comparable<IndexedObjectPair<?>>`

public record IndexedObjectPair<T>(long idx, T obj) extends Record implements Comparable<IndexedObjectPair<?>>

## Constructor Summary

Constructors
Constructor
Description
`IndexedObjectPair(long idx, T obj)`
Creates an instance of a `IndexedObjectPair` record class.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(IndexedObjectPair indexedObjectPair)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`idx()`
Returns the value of the `idx` record component.
`T`
`obj()`
Returns the value of the `obj` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexedObjectPair

public IndexedObjectPair(long idx, T obj)
Creates an instance of a `IndexedObjectPair` record class.

Parameters:
  `idx` - the value for the `idx` record component
  `obj` - the value for the `obj` record component

## Method Details

### compareTo

public int compareTo(IndexedObjectPair indexedObjectPair)

Specified by:
  `compareTo` in interface `Comparable<T>`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### idx

public long idx()
Returns the value of the `idx` record component.

Returns:
  the value of the `idx` record component

### obj

public T obj()
Returns the value of the `obj` record component.

Returns:
  the value of the `obj` record component